import { IWidgetExtension, IDocumentContext, DocumentRegistry } from 'jupyterlab/lib/docregistry';
import { IDisposable } from 'phosphor-disposable';
import { INotebookModel } from 'jupyterlab/lib/notebook/notebook/model';
import { NotebookPanel } from 'jupyterlab/lib/notebook/notebook/panel';
import { Application } from 'phosphide/lib/core/application';
/**
 * The widget manager provider.
 */
export declare const widgetManagerExtension: {
    id: string;
    requires: typeof DocumentRegistry[];
    activate: (app: Application, registry: DocumentRegistry) => void;
};
export declare class IPyWidgetExtension implements IWidgetExtension<NotebookPanel, INotebookModel> {
    /**
     * Create a new extension object.
     */
    createNew(nb: NotebookPanel, context: IDocumentContext<INotebookModel>): IDisposable;
}
